# Generated by Django 2.2.2 on 2019-06-28 10:43

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import main.validators


class Migration(migrations.Migration):
    atomic = False
    dependencies = [
        ('main', '0003_auto_20190628_1342'),
    ]

    operations = [
        migrations.CreateModel(
            name='mainSpecificationItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dateCreate', models.DateField(default=django.utils.timezone.now, verbose_name='Дата')),
                ('title', models.CharField(blank=True, default='', max_length=100, verbose_name='Титул')),
                ('text', models.TextField(blank=True, default='', max_length=500, verbose_name='Текст')),
                ('image', models.FileField(default='', upload_to='main/specification/', validators=[main.validators.validate_file_extension_picture], verbose_name='Картинка:')),
                ('id_fk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.mainSpecification')),
            ],
            options={
                'verbose_name': 'Спецификация Элемент',
                'verbose_name_plural': 'Спецификации Элементы',
                'ordering': ['-dateCreate'],
                'abstract': False,
            },
        ),
    ]
